


$(function(){ //通用按钮
	$('.warning').mouseover(function(){ //警告色
		$(this).addClass('iptSbm_warning');
	}).mouseout(function(){
		$(this).removeClass('iptSbm_warning');
	}),
	$('.error').mouseover(function(){ //危险色
		$(this).addClass('iptSbm_error');
	}).mouseout(function(){
		$(this).removeClass('iptSbm_error');
	})
})
 //左侧通用菜单展开关闭效果
$('.ty_menu_firstNav').toggle(function(){
	$(this).next('ul').slideUp(200);
	$(this).children('.icon_none').removeClass('icon_none').addClass('icon_block');
},function(){
	$(this).next('ul').slideDown(200);
	$(this).children('.icon_block').removeClass('icon_block').addClass('icon_none');
})

$(function(){ //文本表单全局效果
	$('.ty_iptTxt_normal').hover(function(){
		$(this).addClass('ty_iptTxt_focus').removeClass('.ty_iptTxt_normal');	
	},function(){
		$(this).removeClass('ty_iptTxt_focus').addClass('ty_iptTxt_normal');	
	})
})

$(function(){
	$('.BidMonitorContent li:not(:first)').hide();
	$('.BidMonitorTabs a').each(function(index){
		$(this).click(function(){
			$(".BidMonitorTabs a.current").removeClass("current");
			$(this).addClass("current");
			$('.BidMonitorContent > li:visible').hide();
			$('.BidMonitorContent li:eq(' + index + ')').show();
		})
	})	
})

$(function(){ //解决DD_belatedPNG自行添加的一个img
	$('.DD_belatedPNG_sizeFinder').hide();
})

function SelAll(theForm){
		for ( i = 0 ; i < theForm.elements.length ; i ++ )
		{
			if ( theForm.elements[i].type == "checkbox" && theForm.elements[i].name != "SELALL" )
			{
				theForm.elements[i].checked = ! theForm.elements[i].checked ;
			}
		}
}

function SelAllT(theForm){
		for ( i = 0 ; i < theForm.elements.length ; i ++ )
		{
			if ( theForm.elements[i].type == "checkbox" && theForm.elements[i].name != "SELALL" )
			{
				theForm.elements[i].checked = true;
			}
		}
}

/*
//递归列表选子类
function checkedbox_all(obj){
var str1=obj.check_pri_id
var str2=obj.check_id
if(obj.checked){
	checkedbox_pri(obj,str1,obj.checked)
}
	checkedbox_sub(obj,str2,obj.checked)
}
//选择父类
function checkedbox_pri(obj,str,chkbool){
var objarr=document.getElementsByName(obj.name)
for (var i=0;i<objarr.length;i++){
		if (objarr[i].check_id==str) {
			objarr[i].checked=chkbool;
			checkedbox_pri(objarr[i],objarr[i].check_pri_id,chkbool)
			}
	}
}
//选择子类
function checkedbox_sub(obj,str,chkbool){
var objarr=document.getElementsByName(obj.name)
for (var i=0;i<objarr.length;i++){
		if (objarr[i].check_pri_id==str) {
			objarr[i].checked=chkbool;
			if(objarr[i].issubitem!=0) 	checkedbox_sub(objarr[i],objarr[i].check_id,chkbool)
		}

	}
}

*/